.projects-section {
    margin: 10px 20px;  
  font-family:  "Archivo", sans-serif;
  margin-bottom: 4rem;
}

.project-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 2rem;
  margin-top: 1.5rem;
}

.project-card {
  background: var(--secondary);
  padding: 1.5rem;
  border: 1px solid transparent;
  transition: all 0.3s ease;
  position: relative;
}


.project-title {
  font-size: 1.125rem;
  font-weight: 600;
  color: var(--white);
  margin-bottom: 0.75rem;
}

.project-description {
  font-size: 0.9375rem;
  line-height: 1.7;
  color: var(--gray);
  margin-bottom: 1rem;
  height: 130px;
  @media (max-width : 768px) {
    height: 180px;
  }
}

.project-tags {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.project-tag {
  padding: 0.25rem 0.75rem;
  background: var(--black);
  font-size: 0.75rem;
  color: var(--white);
}

.project-github-link{
  position: absolute;
  top: 0;
  right: 0;
  margin: 10px;
  color: var(--white);
  transition: all 200ms ease-in-out;
  &:hover{
    background-color: var(--green);
    color: var(--black);
  }

  &:active{
    transform: scale(0.95);
  }
  padding: 5px;
  width: 40px;
  height: 40px;
  border-radius: 50%; 
  display: flex;
  align-items: center;
  justify-content: center;
}